# peach-web

## Resources

### Raspberry Pi

[Installing Debian ARM64 on Raspberry Pi 3 with WiFi](https://quantum2.xyz/2017/10/27/installing-debian-arm64-on-raspberry-pi-3-with-wifi/)

[Debian buster on the Raspberry Pi 3 (update) (2018-01-08)](https://people.debian.org/~stapelberg/2018/01/08/raspberry-pi-3)

**Networking**

[Setting up a Raspberry Pi as a WiFi access point](https://learn.adafruit.com/setting-up-a-raspberry-pi-as-a-wifi-access-point/overview)

[Switching Between Client Mode and Access Point Mode on Raspberry Pi](http://shortcircuitsandinfiniteloops.blogspot.com/2018/02/switching-between-client-mode-and.html)

 - No need for additional / external WiFi adapter

[Using your new Raspberry Pi 3 as a WiFi access point with hostapd](https://frillip.com/using-your-raspberry-pi-3-as-a-wifi-access-point-with-hostapd/)

 - _Note: Successfully used this to configure my Pi 3 as a WiFi access point (including DHCP)_

[Starting hostapd when WiFi goes down (bash script)](http://sirlagz.net/2013/01/22/script-starting-hostapd-when-wifi-goes-down/)

[Raspberry Pi Zero W Simultaneous AP and Managed Mode Wifi](https://blog.thewalr.us/2017/09/26/raspberry-pi-zero-w-simultaneous-ap-and-managed-mode-wifi/)

 - Could be helpful when it comes to switching between managed and AP mode

[RPi Switch Between AP and Client Mode](https://raspberrypi.stackexchange.com/questions/44184/switch-between-ap-and-client-mode)

[Using a Raspberry Pi 3 as a WiFi Client and Access Point simultaneously](http://www.marrold.co.uk/2017/03/using-raspberry-pi-3-as-wifi-client-and.html)

**GPIO**

rppal ([Crate](https://crates.io/crates/rppal), [Repo](https://github.com/golemparts/rppal), [Docs](https://docs.golemparts.com/rppal))

 - Interface for the Raspberry Pi's GPIO, I2C, PWM and SPI peripherals (Rust)

[How to Setup an I2C LCD on the Raspberry Pi](http://www.circuitbasics.com/raspberry-pi-i2c-lcd-set-up-and-programming/) (Python)

### UI / UX

**Fantasy UI**

[Mark Coleran](http://coleran.com/) - large portfolio of FUI projects

[A Conversation About Fantasy User Interfaces](https://www.subtraction.com/2016/06/02/a-conversation-about-fantasy-user-interfaces/) - interview of Kirill Grouchnikov by Khoi Vinh

[Pushing Pixels](https://www.pushing-pixels.org/fui/) - FUI interviews
